\begin{titlepage}
\headheight = 57pt
\footskip = 5pt
\headsep = 0pt

\centering
\textsc{\begin{Large}
\university\\
\end{Large} }
\school\\
\department\\

\vspace*{7 cm}

\begin{center}

\firstauthor \quad \firststudentcode\\
\secondauthor \quad \secondstudentcode\\
\thirdauthor \quad \thirdstudentcode\\

\begin{Large}
\textsc{\textbf{\doctitle}}\\
\end{Large}
\docsubtitle\\
\end{center}

\begin{flushright}
\textbf{Supervisor}\\ \supervisor\\\supervisortitle\\
\end{flushright}

\vfill

Tallinn \Year
\end{titlepage}

\begin{titlepage}
\headheight = 57pt
\footskip = 5pt
\headsep = 0pt

\centering
\textsc{\begin{Large}
\eestiuniversity\\
\end{Large} }
\eestidepartment\\

\vspace*{7 cm}

\begin{center}

\firstauthor \quad \firststudentcode\\
\secondauthor \quad \secondstudentcode\\
\thirdauthor \quad \thirdstudentcode\\

\begin{Large}
\textsc{\textbf{\eestidoctitle}}\\
\end{Large}
\eestidocsubtitle\\
\end{center}

\begin{flushright}
\textbf{Juhendaja}\\ \supervisor\\\supervisortitle\\
\end{flushright}

\vfill

Tallinn \Year
\end{titlepage}
